Spellsworn

Spellsworn

Enter a world of magic and battle, where your wits and reflexes will be pushed to their limits! Choose your spells, enter the ever-changing arena and prepare to obliterate all who stand in your way!

Minimum system requirements: 

Requires a 64-bit processor and operating systemOS: Ubuntu 12.04 (64bit)Processor: Dual core from Intel or AMD at 2.8 GHzMemory: 4 GB RAMGraphics: nVidia Geforce 8600/9600GT (Driver v331), AMD HD 2xxx-4xxx (Driver mesa 10.5.9), AMD HD 5xxx+ (Driver mesa 10.5.9 or Catalyst 15.7), Intel HD 3000 (Driver mesa 10.6)Network: Broadband Internet connectionStorage: 3 GB available spaceSound Card: OpenAL Compatible Sound Card

Comments